import request from '@/utils/request'

// 查询自提商品列表
export function listPickupGoods(query) {
  return request({
    url: '/store/store/pickupGoods/list',
    method: 'get',
    params: query
  })
}

// 查询自提商品详细
export function getPickupGoods(productId) {
  return request({
    url: '/store/store/pickupGoods/' + productId,
    method: 'get'
  })
}

// 新增或修改自提商品
export function addOrEditPickupGoods(data) {
  return request({
    url: '/store/store/pickupGoods/addOrEdit',
    method: 'post',
    data: data
  })
}

// 删除自提商品
export function delPickupGoods(productId) {
  return request({
    url: '/store/store/pickupGoods/' + productId,
    method: 'delete'
  })
}
